<?php

/*

 $Id: publicinfo.php,v 1.3 2004/02/06 16:11:57 vollmerk Exp $
 $Source: /tmp/maintain/modules/class/publicinfo.php,v $

 Copyright (c) 2002 Oregon State University - Network Engineering
 All rights reserved.

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 
*/
/*!
	@header PublicInfo Class
*/

class PublicInfo {

	/*!
		@function PublicInfo
		@discussion Constructor, nothing to do here
	*/
	function PublicInfo ($option_id=0) {

		return true;
	
	} // PublicInfo

	/*!
		@function get_domain_list
		@discussion retrieves a formated domain list
			in an array
	*/
	function get_domain_list() {
		
		/* Get the Master Domains */
		$sql = "SELECT domain.name,domain.id FROM domain LEFT JOIN domain AS second_domain ON domain.master_domain=second_domain.id WHERE second_domain.id IS NULL";
		$db_results = mysql_query($sql, dbh());
		
		while ($r = mysql_fetch_object($db_results)) { 
			$master_domains[$r->id] = $r->name;
		}

		/* Get the list of domains and their master */
		$sql = "SELECT name,master_domain,enabled FROM domain ORDER BY domain.name ASC";
		$db_results = mysql_query($sql, dbh());

		while ($r = mysql_fetch_object($db_results)) { 

                        /* Check for _ domains or in arrpa */
                        if (preg_match("/^\_/",$r->name) || preg_match("/in\-addr\.arpa$/", $r->name)) {
                                continue;
                        }
		
			if ($r->enabled) { 
				$status = "Active";
			}
			else { 
				$status = "Inactive";
			}
			$data[$master_domains[$r->master_domain]][$r->name] = $status;
		}

		return $data;	

	} // get_domain_list

} // class PublicInfo

?>
